Subject: Re: [mmox] The Story So Far...
From: Jon Watte <[email-masked]>
To: Dan Olivares <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 18 Feb 2009 21:55:17 -0800
List-Id: Massively Multi-participant Online Games and Applications <mmox.ietf.org>

Dan Olivares wrote:
> objection that I've heard so far is that it requires a lot more work
> (service calls?) to develop a shared scene graph and requires a
> significant more amount of trust then an A-->B teleport does.
>   

There is no shared scene graph. Each server simulates "its" objects, and 
translates from the "interop" protocol to its internal system at the 
gateway. Think of it like a more modern version of IEEE 1278 (which has 
been a great success as far as interoperable distributed simulation goes).

Sincerely,

jw